[build-system]
requires = ["setuptools"]
build-backend = "setuptools.build_meta"

[project]
name = "aoc2023"
version = "1"
description = 'Solutions to Advent of Code 2023'
readme = "README.md"
requires-python = ">=3.11"
license = { text = "MIT" }
authors = [
  { name = "Joost Molenaar", email = "jjm@j0057.nl" },
]

[project.urls]
Source = "https://gitlab.com/j0057-git/puzzle/aoc2023"

[project.optional-dependencies]
test = [
    "pytest >= 7.4, < 8.0",
    "pytest-aoc >= 1.23.4, < 1.24",
    "pytest-watcher >= 0.3.4, < 0.4",
]

[tool.setuptools.packages.find]
where = ["py"]

[tool.pytest.ini_options]
aoc_year = 2023
aoc_sleep_time = 0
python_files = "aoc2023/*.py"
python_functions = "test_*"
